# Tutu

Tutu is a comfortable experience for tooting. Designed to work on any device - desktop, phone and tablet.

[Launch Tutu](https://tutu.lightstands.xyz)

## Compatibility

The code is built against those targets and Tutu must run on those platforms:

| Firefox | Safari |  iOS  | Chrome | Edge |
| ------- | ------ | ----- | ------ | ---- |
|   98    |  15.4  | 15.4  |   84   |  87  |

Tutu trys to push the Web technology to its limit. Some features might not be available on the platform does not meet the requirement.

## The "Next" Branch

The "next" branch of the app is built on every commit pushed into "master". You can tatse latest change but risks your data.

[Launch Tutu (Next)](https://master.tututheapp.pages.dev)

## Build & Depoly

Tutu uses [bun](https://bun.sh) as the package manager. Run

````sh
bun install && bun dist
````

to build the distribution, saved at "dist" directory.

Tutu must be loaded in a secure context - that means serving under localhost (`127.0.0.1` or `::1`) or HTTPS.

Use `bun dev` to run the dev server on localhost. If you need HTTPS dev server, see [*Set up HTTPS for the dev server*](docs/dev-https.md).

You can also change the config to make it run on localhost - but localhost.direct can be visted from the other device on the same network (as you do a little DNS magic).
