import {
  splitProps,
  type Component,
  type JSX,
} from "solid-js";

import {
  Repeat,
} from "@suid/icons-material";
import "./BoostIcon.css";


const BoostIcon: Component<JSX.HTMLElementTags["i"]> = (props) => {
  const [managed, rest] = splitProps(props, ["class"]);
  return (
    <i class={["BoostIcon", managed.class].join(" ")} {...rest}>
      <Repeat />
    </i>
  );
};

export default BoostIcon;